#!/usr/bin/perl

# /usr/local/bin/sysupd.pl
# Dieses Programm schreibt alle 59 Sekunden die aktuellen Systemauslastung in eine Datenbank.
# Scott-Falk Hühn, 10.06.2018

use strict;
use warnings;
use RRDs;

my $rrddir = "/srv/sensor"; # Verzeichnis für die Datenbank
my $rrdname = "system.rrd"; # Name der Datenbank
my $sys;                    # System-Auslastung

while(1) {                                     # Endlosschleife
  $sys = substr(`cat /proc/loadavg`, 0, 4);    # System-Auslastung lesen
  RRDs::update ("$rrddir/$rrdname", "N:$sys"); # Datenbank aktualisieren
  sleep 59;                                    # 59 Sekunden warten
}
